import { __decorate, __metadata, __param } from "tslib";
import { AppTask, CustomElement, IAurelia, singleton } from 'aurelia';
IAurelia.test = 'import 1';
let AureliaUtilService = class AureliaUtilService {
    au;
    constructor(au) {
        this.au = au;
    }
    async createAureliaViewModelAddToSlot(viewModel, bindableData, targetElement) {
        if (!targetElement) {
            return null;
        }
        const def = CustomElement.getDefinition(viewModel);
        const addonBindable = bindableData?.addon ? 'addon.bind="bindableData.addon"' : '';
        const gridBindable = bindableData?.grid ? 'grid.bind="bindableData.grid"' : '';
        const dataViewBindable = bindableData?.dataView ? 'data-view.bind="bindableData.dataView"' : '';
        const parentBindable = bindableData?.parent ? 'parent.bind="bindableData.parent"' : '';
        targetElement.innerHTML = `<${def.name} model.bind="bindableData.model" ${addonBindable} ${gridBindable} ${dataViewBindable} ${parentBindable}></${def.name}>`.trim();
        return await this.au.enhance({
            host: targetElement,
            component: { bindableData },
            container: this.au.container.createChild().register(AppTask.creating(() => { }))
        });
    }
};
AureliaUtilService = __decorate([
    singleton(),
    __param(0, IAurelia),
    __metadata("design:paramtypes", [Object])
], AureliaUtilService);
export { AureliaUtilService };
//# sourceMappingURL=aureliaUtil.service.js.map