import { __decorate, __metadata, __param } from "tslib";
import { IContainer, Registration, transient } from 'aurelia';
let ContainerService = class ContainerService {
    container;
    constructor(container) {
        this.container = container;
    }
    get(key) {
        try {
            return this.container.get(key);
        }
        catch (_) {
            return null;
        }
    }
    registerInstance(key, instance) {
        this.container.register(Registration.instance(key, instance));
    }
};
ContainerService = __decorate([
    transient(),
    __param(0, IContainer),
    __metadata("design:paramtypes", [Object])
], ContainerService);
export { ContainerService };
//# sourceMappingURL=container.service.js.map